Subject: Re: [TR] FL DMV

From: Allen Hess <[email-masked]>
Date: Thu, 20 Jun 2013 14:44:46 -0400

If you provided more info about the previous owner and car, maybe  
someone on the list might know them.

Allen
On Jun 20, 2013, at 2:00 PM, [email-masked] wrote:

> I am having issues with FL DMV on getting the TR3 registered.  The  
> Bill of Sale is dated 1999; the car was last registered in NY in  
> 1987.   The BOS is not notarized.  The PO is no longer at that  
> address (no forwarding address).  Any ideas?  (Internet search came  
> up with 83 possibilities nationwide - no guarantee that he is still  
> alive)

** [email-masked] **

Archive: http://www.team.net/archive